Summary:	Simple command-line interface to systems that support the IPMI
Summary(pl.UTF-8):	Prosty interfejs do systemów obsługujących IPMI działający z linii poleceń
Name:		ipmitool
Version:	1.8.17
Release:	2
License:	BSD
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/ipmitool/%{name}-%{version}.tar.gz
# Source0-md5:	505e32a69e214dee106bc183769261dd
Source1:	%{name}-ipmievd.init
Source2:	%{name}-ipmievd.sysconfig
URL:		http://ipmitool.sourceforge.net/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Obsoletes:	ipmitool-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPMItool is a simple command-line interface to systems that support
the Intelligent Platform Management Interface (IPMI) v1.5 and v2.0
specification. It provides the ability to read the SDR and print
sensor values, display the contents of the SEL, print FRU information,
read and set LAN configuration parameters, and perform chassis power
control. Originally written to take advantage of IPMI-over-LAN
interfaces, it is also capable of using a system interface as provided
by a kernel device driver such as OpenIPMI.

%description -l pl.UTF-8
IPMItool to prosty, działający z linii poleceń interfejs do systemów
obsługujących specyfikację Intelligent Platform Management Interface
(IPMI) v1.5 i v2.0. Daje możliwość odczytu SDR i wypisania wartości
czujników, wyświetlenia zawartości SEL, wypisania informacji FRU,
odczytu i ustawiania parametrów konfiguracji LAN i sterowania
zasilaniem. Narzędzie napisano pierwotnie w celu wykorzystania
interfejsów IPMI-over-LAN, ale możliwe jest także używanie interfejsu
systemowego dostarczonego przez sterownik urządzenia w jądrze, taki
jak OpenIPMI.

%package ipmievd
Summary:	IPMI event daemon for sending events to syslog
Summary(pl.UTF-8):	Demon IPMI przesyłający zdarzenia do sysloga
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description ipmievd
ipmievd is a daemon which will listen for events from the BMC that are
being sent to the SEL and also log those messages to syslog.

%description ipmievd -l pl.UTF-8
ipmievd to demon, który nasłuchuje na zdarzenia z BMC, które są
wysyłane do SEL i loguje wiadomości do sysloga.

%prep
%setup -q

%build
%{__libtoolize} --ltdl
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared \
	--disable-static \
	--enable-intf-bmc \
	--enable-intf-free \
	--enable-intf-imb \
	--enable-intf-lan \
	--enable-intf-lanplus \
	--enable-intf-lipmi \
	--enable-intf-open \
	--enable-ipmishell
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ipmievd
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ipmievd

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post ipmievd
/sbin/chkconfig --add ipmievd
%service ipmievd restart

%preun ipmievd
if [ "$1" = "0" ]; then
	%service ipmievd stop
	/sbin/chkconfig --del ipmievd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README ChangeLog
%attr(755,root,root) %{_bindir}/ipmitool
%{_datadir}/ipmitool
%{_mandir}/man1/ipmitool.1*

%files ipmievd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ipmievd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ipmievd
%attr(754,root,root) /etc/rc.d/init.d/ipmievd
%{_mandir}/man8/ipmievd.8*
%changelog
* Tue Oct 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ipmitool.git;a=log;h=master

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 6bf7f9a
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Wed Aug 24 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f0c11d6
- up to 1.8.17

* Wed Jul 27 2016 Tomasz Pala <gotar@pld-linux.org> 30c556b
- do not suggest some crafted script when there are contemporary and generic module loaders

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 00665e8
- updated to 1.8.16

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 522858f
- release 2 (by relup.sh)

* Sun May 24 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e56e2f
- up to 1.8.15

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> a3195d7
- x32 rebuild
- release 2 (by relup.sh)

* Mon May 05 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a728a1
- up to 1.8.14

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> e61e599
- release 3 (by relup.sh)

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> a1daca1
- release 2 (by relup.sh)

* Thu Oct 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 6a73328
- updated to 1.8.13
- removed obsolete cipher patch

* Thu Oct 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c4b8be
- Revert default cipher suite back to 3 (as it was in 1.8.11):
http://sourceforge.net/tracker/?func=detail&aid=3571371&group_id=95200&atid=610550
http://sourceforge.net/tracker/?func=detail&atid=610550&aid=3576112&group_id=95200

* Fri Aug 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 29d8c49
- up to 1.8.12

* Thu Jan 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cb2158d
- rel 10; fix file

* Wed Jan 26 2011 Elan Ruusamäe <glen@pld-linux.org> 3011886
- ipmi initscript moved to ipmi-init package

* Wed Jan 19 2011 Elan Ruusamäe <glen@pld-linux.org> 45b6647
- add sysconfig for ipmi initscript; rel 8

* Wed Jan 19 2011 Elan Ruusamäe <glen@pld-linux.org> a0d884b
- add initscript for ipmi to load modules and fixup dev node (based on contrib script)

* Tue Jan 18 2011 Elan Ruusamäe <glen@pld-linux.org> c593d2d
- redid initscript (didn't notice it being present)
- does not need networking, use functions, add try-restart

* Tue Jan 18 2011 Elan Ruusamäe <glen@pld-linux.org> 38817b3
- verbose files, fix misuse of sysconfdir macro

* Wed Jan 12 2011 Elan Ruusamäe <glen@pld-linux.org> cca27c9
- ac 2.62 required

